// test the serial communication toolbox
// open the serial line and set it to 115200 baud
// write "R3" asking for the version of the Arduino server 
// read the version number back
// close the serial line
// Uli Raich Jan. 2019

port = 0;
baudrate = 115200
versionRequest="V"
attach="Da<1"

on="Dw<1"
off="Dw<0"
[handle,res] = open_serial(port,baudrate);
mprintf("return code: %d\n",res)
mprintf("file descriptor: %d\n",handle);
res = write_serial(handle,versionRequest,2);
[versionString,res]=read_serial(handle,3)
if part(versionString,1) == 'V' then
    disp("Version " + part(versionString,2) + '.' + part(versionString,3));
else
    disp("Please load toolbox_arduino_v1 onto the Arduino first");
end

write_serial(handle,attach,4)
for i=1:5
    write_serial(handle,on,4)
    sleep(500)
    write_serial(handle,off,4)
    sleep(500)
end
res = close_serial(handle)
