#include <SoftwareSerial.h>
#define RX_PIN 9
#define TX_PIN 2
SoftwareSerial serial1 = SoftwareSerial(RX_PIN,TX_PIN);

void printHex16(uint16_t data) // prints 16-bit data in hex with leading zeroes
{
         uint8_t MSB=byte(data>>8);
         uint8_t LSB=byte(data);
         
         if (MSB<0x10) 
            serial1.print("0");
         serial1.print(MSB,HEX);
         
         if (LSB<0x10) 
            serial1.print("0"); 
         serial1.print(LSB,HEX);
}

void setup() {
  uint16_t a=0xd;
  serial1.begin(115200);
  serial1.println();
  printHex16(a);
}

void loop() {
  // put your main code here, to run repeatedly:

}
