// This file is released under the 3-clause BSD license. See COPYING-BSD.

// This macro compiles the files

function builder_c_src()

    src_c_path = get_absolute_file_path("builder_c.sce");

    CFLAGS = ilib_include_flag(src_c_path);

    tbx_build_src(["arduino_serial"],       ..
    ["arduino_serial.c"], ..
    "c",                ..
    src_c_path,         ..
    "",                 ..
    "",                 ..
    CFLAGS);
    disp("  Copying library to bin");
    copyfile(src_c_path + filesep() + "lib" + "arduino_serial" + getdynlibext(),"bin")
endfunction

builder_c_src();
clear builder_c_src; // remove builder on stack
